%Funcion ObtenerVectorColDeMatriz2x1

function vector = ObtenerVectorColDeMatrizNx2plus(matrizNx2plus, dim)
%--------------------------------------------------------------------------
%Se crea un vector columna:
% (ptoControl_1; ptoControl_2;... pto_Control_n)
%  coordenadas de cada punto en {x; y; z; theta}
%--------------------------------------------------------------------------
%ATENCION:
%En dim viene el numero de dimensiones del problema.
%Aunque la dimension del problema sea mayor que 2, por cada punto las
%ultimas dos coordenadas son siempre cero.

vector = [];
%Recorrido por todas las filas de la matriz2x1.
for i=1:size(matrizNx2plus,1)
    elemento = [matrizNx2plus(i,1); matrizNx2plus(i,2)];
    if (dim>2)
        elemento = [elemento;zeros(dim-2,1)];
    end
    vector = [vector; elemento];
end
