%funcion ObtenerVelocidadesAcotadas.m

function v_robots = ObtenerVelocidadesAcotadas (v_robots, Vmaxima)
%Limitacion de la velocidad de los robots en todas sus componentes a
%la velocidad maxima que se permite que experimenten: si se pasa
%alguna componente de cualquier robot, se limita esa a Vmaxina, y el
%resto de componentes del vector se reducen de modo lineal.
maximo = max(abs(v_robots));
if maximo>Vmaxima
    v_robots = v_robots*(Vmaxima/maximo);
end