function [ventana]=PlotearSpline2(dim, n, DeltaU, L, ptosControl, pr, Nui, nudos, color_robots, tam_robots, ori_robots, tipo_manguera, visPC)

    for i=1:n
        ptos(i,1) = ptosControl(dim*(i-1)+1);
        ptos(i,2) = ptosControl(dim*(i-1)+2);
    end

    ptosCurva = [];
    u = [0:DeltaU:L];
    for uk=1:size(u,2);
        suma = zeros(1, 2);
        for i = 1:n
            %suma = suma + ptos(i, :).*Nui(uk,i);
            suma = suma + ptos(i, :)*Nui(uk,i);
        end
        ptosCurva = [ptosCurva; suma];
    end
    
    for i = 1:n
        suma = suma + ptos(i, :).*Nui(uk,i);
    end

    x_r1 = ptos(1,1);
    y_r1 = ptos(1,2);

    %axis('equal');
    %hold on
    xmin = -0.75;
    xmax =  4.25;
    ymin = -3.5;
    ymax =  3;
    ventana = [xmin, xmax, ymin, ymax];
    
    axis(ventana);
    plot(ptosCurva(:,1),ptosCurva(:,2), tipo_manguera, 'LineWidth', 2)
    hold on
    axis(ventana);
    if (visPC)
        plot(ptos(2:n-1,1),ptos(2:n-1,2),'k.');
    end
    
    for i=1:(size(ori_robots,1)/dim)
        indice = dim*(i-1);
        plot_arrow(pr(indice+1,1),pr(indice+2),pr(indice+1)+ori_robots(indice+1)/30,pr(indice+2)+ori_robots(indice+2)/30,'linewidth',1,'headwidth',3,'headheight',3,'color', 'b','facecolor','b');
    end
    
    %Laberinto
    rectangle('Position',[-0.5,-3.75,0.25,5.25],'FaceColor','k');
    rectangle('Position',[0.25,-1.75,3,3.25],'FaceColor','k');
    rectangle('Position',[3.75,-3.75,0.25,5.25],'FaceColor','k');
    rectangle('Position',[-0.5,-3.75,4.5,0.5],'FaceColor','k');
    set(gca, 'Color', [0.5 0.5 0.5]);