function [Pb]=get_Pb(dim, n, Qprimaprima, Rprima, Nui_prima, Nui_primaprima, DeltaU, L, E, D, pi,norm_Rprima)
     Pb=[];
     epsilonb0=1;
     uK=[0:DeltaU:L];
        
    if (dim>2)
        dim_r = 3;
    else
        dim_r = 2;
    end
     
    Rprimaprima = Qprimaprima(1:dim_r,:);

    if (dim<3)
        Rprimaprima = [Rprimaprima; zeros(1,length(uK))];
        Rprima = [Rprima; zeros(1,length(uK))];
    end
    
    RprimaModuloAlCuboVector=zeros(length(uK),1);
    CVector=zeros(3,length(uK));
    for u=1:length(uK)
        RprimaModuloAlCuboVector(u)=norm(Rprima(:,u))^3;
        CVector(:,u)=ObtenerProductoVectorial(Rprima(:,u),Rprimaprima(:,u));
    end
    
    FuncionBending_i=[];
    epsilon0=[];
    Pb=[];   
    
    matriz=[0, -1; 1, 0; 1, -1];
    for i=1:n
        FuncionBending_i=zeros(3, length(uK)); %Limpieza
        for u=1:length(uK)
            RprimaModuloAlCubo=RprimaModuloAlCuboVector(u);
            
            %Original por Zelmar.
            %Nui_primaVector=Nui_prima(u,i)*ones(3,1);
            %Nui_primaprimaVector=Nui_primaprima(u,i)*ones(3,1);
            %Pvold=cross(Nui_primaVector,Rprimaprima(:,u))+cross(Rprima(:,u),Nui_primaprimaVector);
                        
            
            %Pvt1=Nui_prima(u,i)*matriz*[Rprimaprima(1,u); Rprimaprima(2,u)];
            %Pvt2=Nui_primaprima(u,i)*matriz*[Rprima(2,u); Rprima(1,u)];
            
            %Pvt1=Nui_prima(u,i)*[-Rprimaprima(2,u); Rprimaprima(1,u); Rprimaprima(1,u)-Rprimaprima(1,u)];
            %Pvt2=Nui_primaprima(u,i)*[Rprima(2,u); Rprima(1,u); Rprima(2,u)-Rprima(1,u)];
 
            Pvt1=Nui_prima(u,i)*matriz*[Rprimaprima(1,u); Rprimaprima(2,u)];
            Pvt2=Nui_primaprima(u,i)*matriz*[Rprima(1,u); Rprima(2,u)];
            Pv=Pvt1-Pvt2;
            
            %C=cross(Rprima(:,u),Rprimaprima(:,u));
            C=CVector(:,u);
            if norm(C)==0
                %Cunitario=Pv; %Para que el producto vectorial con P de cero, y as no haya fuerza ni energia de flexion, porque est en forma lineal
                FuncionBending_i(:, u)=zeros(3,1); 
            else
                Cunitario=C/norm(C);
                FuncionBending_i(:, u)=ObtenerProductoVectorial(Pv,Cunitario)/RprimaModuloAlCubo;
            end
        end
        %nuevo_valor = [(-pi*E*(D^4)*epsilonb0*sum((FuncionBending_i.*norm_Rprima(u))')'*DeltaU/64);0];
        nuevo_valor = [(-pi*E*(D^4)*epsilonb0*sum(FuncionBending_i,2)*DeltaU/64);0];
        Pb=[Pb;nuevo_valor(1:dim,:)];
    end
 %Pb = zeros(size(Pb));
