%ObtenerMatrizJacobiana.m

function [Jir, Jri] = ObtenerMatrizJacobiana(n_NumPtosControl, nRobots, ...
                                      u_robots, p, nudos, L, dim)

Jri=[];
for i=1:n_NumPtosControl
	Jri_b=[];
	for r=1:nRobots
        ur=u_robots(r);
        Nr = ObtenerN(i,p,ur,nudos);
        if (i==n_NumPtosControl && ur==L)
            Nr =1;
        end
        Jri_b=[Jri_b; Nr*eye(dim)];
	end
	Jri=[Jri,Jri_b];
end
Jir = pinv(Jri); %pseudo-inversa.
