function [alfa, beta, gamma] = calcula_abc (nudos, k)
k31 = (nudos(k+3)-nudos(k+1));
k32 = (nudos(k+3)-nudos(k+2));
k41 = (nudos(k+4)-nudos(k+1));
k42 = (nudos(k+4)-nudos(k+2));
k43 = (nudos(k+4)-nudos(k+3));
k52 = (nudos(k+5)-nudos(k+2));
k53 = (nudos(k+5)-nudos(k+3));

alfa  = (k43^2) / (k41*k42);
beta  = ((k31*k43) / (k41*k42)) + ((k53*k32) / (k52*k42));
gamma = (k32^2) / (k42*k52);

