%param_reposo_verifica.m
%*************************************************************

%Verificaciones sobre la coherencia de los datos introducidos:

%Verificacion 1:
%%%%%%%%%%%%%%%%
%El numero de segmentos debe ser igual al (numero de robots -1)
if nSegmentos ~= (nRobots-1)
  strcat('Error en ''param_ubicacion_reposo.m'': el numero de ',...
         ' segmentos debe ser igual a (numero de robots - 1).')
end

%Verificacion 2:
%%%%%%%%%%%%%%%%
%El numero de robots de 'robots_reposo' y 'u_robots' debe ser el mismo.
if size(robots_reposo, 1) ~= size (u_robots,2)
  strcat('Error en ''param_ubicacion_reposo.m'': el numero de ',...
         ' robots de robots_reposo debe ser igual al de u_robots.')
end
